Bug 241649 (qt5-5.13.2) - [exp-run] Upgrade Qt to 5.13.2
Summary: [exp-run] Upgrade Qt to 5.13.2
Status: Closed FIXED
Alias: qt5-5.13.2
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-01 21:13 UTC by Tobias C. Berner
Modified: 2019-11-08 18:28 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (68.07 KB, patch)
2019-11-01 21:13 UTC, Tobias C. Berner
no flags Details | Diff
v2 (85.93 KB, patch)
2019-11-06 20:23 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-11-01 21:13:36 UTC
Created attachment 208775 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade Qt to 5.13.2.

The patch is attached and can also be found here:
https://people.freebsd.org/~tcberner/patches/qt5-5.13.2.v1.diff

mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2019-11-06 20:23:16 UTC
Created attachment 208923 [details]
v2

v2 includes a fix for cad/qcad as well as the webengine update by kai@
https://people.freebsd.org/~tcberner/patches/qt5-5.13.2.v2.diff
Comment 3 Antoine Brodin freebsd_committer 2019-11-08 15:41:19 UTC
This looks fine.
Comment 4 commit-hook freebsd_committer 2019-11-08 17:00:40 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov  8 17:00:10 UTC 2019
New revision: 517080
URL: https://svnweb.freebsd.org/changeset/ports/517080

Log:
  Update Qt5 to 5.13.2

  Announcement:
          https://www.qt.io/blog/qt-5.13.2-released

  Thanks to kai@ for updating webengine.

  PR:		241649
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/qt-dist.mk
  head/Mk/Uses/qt.mk
  head/cad/qcad/Makefile
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialport/Makefile
  head/databases/qt5-sql/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5/files/extrapatch-mkspecs_features_data_cmake_Qt5BasicConfig.cmake.in
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-buildtools/Makefile
  head/devel/qt5-buildtools/pkg-plist
  head/devel/qt5-concurrent/Makefile
  head/devel/qt5-core/Makefile
  head/devel/qt5-dbus/Makefile
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/Makefile
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-linguisttools/files/patch-src_linguist_lrelease_main.cpp
  head/devel/qt5-location/Makefile
  head/devel/qt5-qdbus/Makefile
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc-data/pkg-plist
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-remoteobjects/Makefile
  head/devel/qt5-remoteobjects/pkg-plist
  head/devel/qt5-script/Makefile
  head/devel/qt5-scripttools/Makefile
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-testlib/Makefile
  head/devel/qt5-uitools/Makefile
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-opengl/Makefile
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-svg/Makefile
  head/graphics/qt5-wayland/Makefile
  head/graphics/qt5-wayland/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/qt5-network/Makefile
  head/net/qt5-network/files/patch-src_network_kernel_qnetworkinterface__unix.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket_openssl_symbols.cpp
  head/net/qt5-networkauth/Makefile
  head/print/qt5-printsupport/Makefile
  head/sysutils/qt5-qtdiag/Makefile
  head/sysutils/qt5-qtpaths/Makefile
  head/sysutils/qt5-qtplugininfo/Makefile
  head/textproc/qt5-xml/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/www/qt5-webchannel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/qt5-webengine/distinfo
  head/www/qt5-webengine/files/patch-mkspecs_features_configure.prf
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_media_audio_pulse_pulse.sigs
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_webrtc_rtc__base_physical__socket__server.cc
  head/www/qt5-webengine/files/patch-src_core_core__module.pro
  head/www/qt5-webkit/Makefile
  head/www/qt5-websockets/Makefile
  head/www/qt5-websockets-qml/Makefile
  head/www/qt5-webview/Makefile
  head/www/qt5-webview/files/
  head/www/qt5-webview/files/patch-qtwebview.pro
  head/x11/qt5-qev/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11-themes/qt5-style-plugins/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-declarative/pkg-plist
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-uiplugin/pkg-plist
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-virtualkeyboard/pkg-plist
  head/x11-toolkits/qt5-widgets/Makefile
Comment 5 Tobias C. Berner freebsd_committer 2019-11-08 18:28:11 UTC
Thanks for the exp-run.